package me.zhengjie.modules.system.service.webstocket.req;

import com.alibaba.fastjson2.annotation.JSONField;

import java.util.Map;

public class WebSocketReqData {

    // 请求命令
    public Integer Cmd;
    // 数据
    private Map Data;
    // 类型
    private Integer Type;
    // 请求ID
    private String RequestID;
    // 主板ID
    private String MainboardID;
    // 时间戳
    private Long TimeStamp;
    // 标识命令来源
    private Integer From;

    @JSONField(name = "Cmd")
    public Integer getCmd() {
        return Cmd;
    }

    public void setCmd(Integer cmd) {
        Cmd = cmd;
    }

    @JSONField(name = "Data")
    public Map getData() {
        return Data;
    }

    public void setData(Map data) {
        Data = data;
    }

    @JSONField(name = "Type")
    public Integer getType() {
        return Type;
    }

    public void setType(Integer type) {
        Type = type;
    }

    @JSONField(name = "RequestID")
    public String getRequestID() {
        return RequestID;
    }

    public void setRequestID(String requestID) {
        RequestID = requestID;
    }

    @JSONField(name = "MainboardID")
    public String getMainboardID() {
        return MainboardID;
    }

    public void setMainboardID(String mainboardID) {
        MainboardID = mainboardID;
    }

    @JSONField(name = "TimeStamp")
    public Long getTimeStamp() {
        return TimeStamp;
    }

    public void setTimeStamp(Long timeStamp) {
        TimeStamp = timeStamp;
    }

    @JSONField(name = "From")
    public Integer getFrom() {
        return From;
    }

    public void setFrom(Integer from) {
        From = from;
    }
}
